env.info( '*** OPShader Menu INCLUDE START *** ' )

--awacs/takers init
local function TANKERS_RESET()
  trigger.action.setUserFlag (51, true )
end

firstSpawnedTankers = false
trigger.action.setUserFlag('51', true) -- initiate tanker respawn

--main menu init
OPSmenu = missionCommands.addSubMenu("MISSION/TASK MENU")
OPShawg = missionCommands.addSubMenu("Hawg Flight", OPSmenu)
OPStusk = missionCommands.addSubMenu("Tusk Flight", OPSmenu)
OPSboar = missionCommands.addSubMenu("Boar Flight", OPSmenu)
OPSpig = missionCommands.addSubMenu("Pig Flight", OPSmenu)

debugmenu = missionCommands.addSubMenu("Debug Menu", OPSmenu)
missionCommands.addCommand("Reset AWACS/Tankers", debugmenu, TANKERS_RESET)

--flight tasking/coordinates
local function main()
timer.scheduleFunction(main, {}, timer.getTime() + 1) 

if trigger.misc.getUserFlag('1000') == 1 then
HawgTask1 = missionCommands.addSubMenu("Task 1", OPShawg)
HawgTask1A = missionCommands.addSubMenu("37S BU 543 535", HawgTask1)
HawgTask1B = missionCommands.addSubMenu("N34 47 692 E036 18 922", HawgTask1)
trigger.action.setUserFlag('1000', false)
end

if trigger.misc.getUserFlag('2000') == 1 then
HawgTask2 = missionCommands.addSubMenu("Task 2", OPShawg)
HawgTask2A = missionCommands.addSubMenu("37S BU 644 720", HawgTask2)
HawgTask2B = missionCommands.addSubMenu("N34 57 817 E036 25 216", HawgTask2)
trigger.action.setUserFlag('2000', false)
end

if trigger.misc.getUserFlag('3000') == 1 then
HawgTask3 = missionCommands.addSubMenu("Task 3", OPShawg)
HawgTask3A = missionCommands.addSubMenu("37S BU 621 299", HawgTask3)
HawgTask3B = missionCommands.addSubMenu("N34 35 017 E036 24 423", HawgTask3)
trigger.action.setUserFlag('3000', false)
end

if trigger.misc.getUserFlag('4000') == 1 then
HawgTask4 = missionCommands.addSubMenu("Task 4", OPShawg)
HawgTask4A = missionCommands.addSubMenu("37S BU 414 881", HawgTask4)
HawgTask4B = missionCommands.addSubMenu("N35 06 194 E036 09 804", HawgTask4)
trigger.action.setUserFlag('4000', false)
end

if trigger.misc.getUserFlag('5000') == 1 then
HawgTask5 = missionCommands.addSubMenu("Task 5", OPShawg)
HawgTask5A = missionCommands.addSubMenu("37S BU 861 525", HawgTask5)
HawgTask5B = missionCommands.addSubMenu("N34 47 586 E036 39 754", HawgTask5)
trigger.action.setUserFlag('5000', false)
end

if trigger.misc.getUserFlag('6000') == 1 then
HawgTask6 = missionCommands.addSubMenu("Task 6", OPShawg)
HawgTask6A = missionCommands.addSubMenu("36S YD 732 681", HawgTask6)
HawgTask6B = missionCommands.addSubMenu("N34 55 149 E035 59 458", HawgTask6)
trigger.action.setUserFlag('6000', false)
end

if trigger.misc.getUserFlag('31000') == 1 then
TuskTask31 = missionCommands.addSubMenu("Task 31", OPStusk)
TuskTask31A = missionCommands.addSubMenu("37S BT 538 139", TuskTask31)
TuskTask31B = missionCommands.addSubMenu("N33 32 221 E036 20 950", TuskTask31)
trigger.action.setUserFlag('31000', false)
end

if trigger.misc.getUserFlag('32000') == 1 then
TuskTask32 = missionCommands.addSubMenu("Task 32", OPStusk)
TuskTask32A = missionCommands.addSubMenu("37S BT 748 019", TuskTask32)
TuskTask32B = missionCommands.addSubMenu("N33 26 026 E036 34 721", TuskTask32)
trigger.action.setUserFlag('32000', false)
end

if trigger.misc.getUserFlag('32001') == 1 then
TuskTask32HVI = missionCommands.addSubMenu("Task 32 HVI", OPStusk)
TuskTask32HVIA = missionCommands.addSubMenu("37S BT 808 098", TuskTask32)
TuskTask32HVIB = missionCommands.addSubMenu("N33 30 353 E036 38 435", TuskTask32)
trigger.action.setUserFlag('32001', false)
end

if trigger.misc.getUserFlag('33000') == 1 then
TuskTask33 = missionCommands.addSubMenu("Task 33", OPStusk)
TuskTask33A = missionCommands.addSubMenu("37S BS 556 993", TuskTask33)
TuskTask33B = missionCommands.addSubMenu("N33 24 342 E036 22 352", TuskTask33)
trigger.action.setUserFlag('33000', false)
end

if trigger.misc.getUserFlag('34000') == 1 then
TuskTask34 = missionCommands.addSubMenu("Task 34", OPStusk)
TuskTask34A = missionCommands.addSubMenu("37S BT 379 058", TuskTask34)
TuskTask34B = missionCommands.addSubMenu("N33 27 616 E036 10 816", TuskTask34)
trigger.action.setUserFlag('34000', false)
end

if trigger.misc.getUserFlag('35000') == 1 then
TuskTask35 = missionCommands.addSubMenu("Task 35", OPStusk)
TuskTask35A = missionCommands.addSubMenu("37S BT 705 210", TuskTask35)
TuskTask35B = missionCommands.addSubMenu("N33 36 269 E036 31 615", TuskTask35)
trigger.action.setUserFlag('35000', false)
end

if trigger.misc.getUserFlag('36000') == 1 then
TuskTask36 = missionCommands.addSubMenu("Task 36", OPStusk)
TuskTask36A = missionCommands.addSubMenu("37S BS 576 879", TuskTask36)
TuskTask36B = missionCommands.addSubMenu("N33 18 218 E036 23 800", TuskTask36)
trigger.action.setUserFlag('36000', false)
end

if trigger.misc.getUserFlag('21000') == 1 then
BoarTask21 = missionCommands.addSubMenu("Task 21", OPSboar)
BoarTask21A = missionCommands.addSubMenu("37S BV 352 588", BoarTask21)
BoarTask21B = missionCommands.addSubMenu("N35 44 293 E036 04 328", BoarTask21)
trigger.action.setUserFlag('21000', false)
end

if trigger.misc.getUserFlag('22000') == 1 then
BoarTask22 = missionCommands.addSubMenu("Task 22", OPSboar)
BoarTask22A = missionCommands.addSubMenu("36S YE 662 421", BoarTask22)
BoarTask22B = missionCommands.addSubMenu("N35 35 257 E035 56 331 ", BoarTask22)
trigger.action.setUserFlag('22000', false)
end

if trigger.misc.getUserFlag('23000') == 1 then
BoarTask23 = missionCommands.addSubMenu("Task 23", OPSboar)
BoarTask23A = missionCommands.addSubMenu("37S BV 430 423", BoarTask23)
BoarTask23B = missionCommands.addSubMenu("N35 35 505 E036 09 825", BoarTask23)
trigger.action.setUserFlag('23000', false)
end

if trigger.misc.getUserFlag('24000') == 1 then
BoarTask24 = missionCommands.addSubMenu("Task 24", OPSboar)
BoarTask24A = missionCommands.addSubMenu("37S BV 558 670", BoarTask24)
BoarTask24B = missionCommands.addSubMenu("N35 49 034 E036 17 857", BoarTask24)
trigger.action.setUserFlag('24000', false)
end

if trigger.misc.getUserFlag('11000') == 1 then
PigTask11 = missionCommands.addSubMenu("Task 11", OPSpig)
PigTask11A = missionCommands.addSubMenu("37S CA 377 196", PigTask11)
PigTask11B = missionCommands.addSubMenu("N36 18 493 E037 11 562", PigTask11)
trigger.action.setUserFlag('11000', false)
end

if trigger.misc.getUserFlag('12000') == 1 then
PigTask12 = missionCommands.addSubMenu("Task 12", OPSpig)
PigTask12A = missionCommands.addSubMenu("37S CA 335 016", PigTask12)
PigTask12B = missionCommands.addSubMenu("N36 08 707 E037 08 995", PigTask12)
trigger.action.setUserFlag('12000', false)
end

if trigger.misc.getUserFlag('13000') == 1 then
PigTask13 = missionCommands.addSubMenu("Task 13", OPSpig)
PigTask13A = missionCommands.addSubMenu("37S CA 725 236", PigTask13)
PigTask13B = missionCommands.addSubMenu("N36 20 960 E037 34 778", PigTask13)
trigger.action.setUserFlag('13000', false)
end

if trigger.misc.getUserFlag('14000') == 1 then
PigTask14 = missionCommands.addSubMenu("Task 14", OPSpig)
PigTask14A = missionCommands.addSubMenu("37S CV 514 920", PigTask14)
PigTask14B = missionCommands.addSubMenu("N36 03 686 E037 21 041", PigTask14)
trigger.action.setUserFlag('14000', false)
end

if trigger.misc.getUserFlag('15000') == 1 then
PigTask15 = missionCommands.addSubMenu("Task 15", OPSpig)
PigTask15A = missionCommands.addSubMenu("37S DV 067 953", PigTask15)
PigTask15B = missionCommands.addSubMenu("N36 05 876 E037 57 822", PigTask15)
trigger.action.setUserFlag('15000', false)
end

if trigger.misc.getUserFlag('16000') == 1 then
PigTask16 = missionCommands.addSubMenu("Task 16", OPSpig)
PigTask16A = missionCommands.addSubMenu("37S CV 758 968", PigTask16)
PigTask16B = missionCommands.addSubMenu("N36 06 476 E037 37 263", PigTask16)
trigger.action.setUserFlag('16000', false)
end

if trigger.misc.getUserFlag('51') == 1 then
  trigger.action.outText( "<< Tankers Reset >>", 7)
  
  if firstSpawnedTankers == true then
  
    timer.scheduleFunction(function() 
    Group.getByName(AWACSName):destroy()
    env.info("Deleting AWACS Group: ".. AWACSName)
    end, nil, timer.getTime() + 4  )

    timer.scheduleFunction(function() 
    Group.getByName(ShellTankerName):destroy()
    env.info("Deleting Tanker Group: ".. ShellTankerName)
    end, nil, timer.getTime() + 5  )
  
    timer.scheduleFunction(function() 
    Group.getByName(ArcoTankerName):destroy()
    env.info("Deleting Tanker Group: ".. ArcoTankerName)
    end, nil, timer.getTime() + 6  )
      
    timer.scheduleFunction(function() 
    Group.getByName(TexTankerName):destroy()
    env.info("Deleting Tanker Group: ".. TexTankerName)
    end, nil, timer.getTime() + 7  )
    
    timer.scheduleFunction(function() 
    Group.getByName(ShellTanker1Name):destroy()
    env.info("Deleting Tanker Group: ".. ShellTanker1Name)
    end, nil, timer.getTime() + 8  )
  
    timer.scheduleFunction(function() 
    Group.getByName(ArcoTanker1Name):destroy()
    env.info("Deleting Tanker Group: ".. ArcoTanker1Name)
    end, nil, timer.getTime() + 9  )
      
    timer.scheduleFunction(function() 
    Group.getByName(TexTanker1Name):destroy()
    env.info("Deleting Tanker Group: ".. TexTanker1Name)
    end, nil, timer.getTime() + 10  )

  end
 
  timer.scheduleFunction(function() 
  --sp("BLUEAWACS")
    BLUEAWACS = SPAWN:New("BLUEAWACS") 
    :Spawn()
    AWACSName = BLUEAWACS:GetName()
  end, nil, timer.getTime() +12  )

  timer.scheduleFunction(function() 
  --sp("BLUEARCO")
    ArcoTanker = SPAWN:New("BLUEARCO")
    :OnSpawnGroup(
      function(SpawnedGroup)
  
        local myBeacon = SpawnedGroup:GetBeacon()
        myBeacon:AATACAN(65, "ARC", true)
      end):Spawn()
    ArcoTankerName = ArcoTanker:GetName()
  end, nil, timer.getTime() + 13  )
  
  timer.scheduleFunction(function() 
  --sp("BLUESHELL")
    ShellTanker = SPAWN:New("BLUESHELL")
    :OnSpawnGroup(
      function(SpawnedGroup)
  
        local myBeacon = SpawnedGroup:GetBeacon()
        myBeacon:AATACAN(68, "SHL", true)
      end):Spawn()
    ShellTankerName = ShellTanker:GetName()
  end, nil, timer.getTime() + 14  )
  
  timer.scheduleFunction(function() 
  --sp("BLUETEXACO")
    TexTanker = SPAWN:New("BLUETEXACO")
    :OnSpawnGroup(
      function(SpawnedGroup)
  
        local myBeacon = SpawnedGroup:GetBeacon()
        myBeacon:AATACAN(69, "TEX", true)
      end):Spawn()
    TexTankerName = TexTanker:GetName()
  end, nil, timer.getTime() + 15  )
  
  timer.scheduleFunction(function() 
  --sp("BLUEARCO-1")
    ArcoTanker1 = SPAWN:New("BLUEARCO-1")
    :OnSpawnGroup(
      function(SpawnedGroup)
  
        local myBeacon = SpawnedGroup:GetBeacon()
        myBeacon:AATACAN(64, "ARC1", true)
      end):Spawn()
    ArcoTanker1Name = ArcoTanker1:GetName()
  end, nil, timer.getTime() + 16  )
  
  timer.scheduleFunction(function() 
  --sp("BLUESHELL-1")
    ShellTanker1 = SPAWN:New("BLUESHELL-1")
    :OnSpawnGroup(
      function(SpawnedGroup)
  
        local myBeacon = SpawnedGroup:GetBeacon()
        myBeacon:AATACAN(66, "SHL1", true)
      end):Spawn()
    ShellTanker1Name = ShellTanker1:GetName()
  end, nil, timer.getTime() + 17  )
  
  timer.scheduleFunction(function() 
  --sp("BLUETEXACO-1")
    TexTanker1 = SPAWN:New("BLUETEXACO-1")
    :OnSpawnGroup(
      function(SpawnedGroup)
  
        local myBeacon = SpawnedGroup:GetBeacon()
        myBeacon:AATACAN(67, "TEX1", true)
      end):Spawn()
    TexTanker1Name = TexTanker1:GetName()
  end, nil, timer.getTime() + 18  )
  
  firstSpawnedTankers = true
  trigger.action.setUserFlag('51', false)
end

end
main()
--[[
hawg
task1
37S BU 543 535
N34 47 692 E036 18 922

task2
37S BU 644 720
N34 57 817 E036 25 216

task3
37S BU 621 299
N34 35 017 E036 24 423

task4
37S BU 414 881
N35 06 194 E036 09 804

task5
37S BU 861 525
N34 47 586 E036 39 754

task6
36S YD 732 681
N34 55 149 E035 59 458

tusk
task31
37S BT 538 139
N33 32 221 E036 20 950

task32
37S BT 748 019
N33 26 026 E036 34 721

task33
37S BS 556 993
N33 24 342 E036 22 352

task34
37S BT 379 058
N33 27 616 E036 10 816

task35
37S BT 705 210
N33 36 269 E036 31 615

task36
37S BS 576 879
N33 18 218 E036 23 800

boar
task21
37S BV 352 588
N35 44 293 E036 04 328

task22
36S YE 662 421
N35 35 257 E035 56 331 

task23
37S BV 430 423
N35 35 505 E036 09 825

task24
37S BV 558 670
N35 49 034 E036 17 857

pig
task11
37S CA 377 196
N36 18 493 E037 11 562

task12
37S CA 335 016
N36 08 707 E037 08 995

task13
37S CA 725 236
N36 20 960 E037 34 778

task14
37S CV 514 920
N36 03 686 E037 21 041

task15
37S DV 067 953
N36 05 876 E037 57 822

task16
37S CV 758 968
N36 06 476 E037 37 263
--]]



env.info( '*** OPShader Menu INCLUDE END *** ' )